Create a subaccount

Encoding : UTF-8

Authentication

Your "api-key" and "api-login" identifiers must be added in the headers.

Definition

This web service allows you to create a new sub-account.

Special parameters

NameTypeDescription
first_namestringFirst name to be associated with the sub-account.
last_namestringLast name to be associated with the sub-account.
passwordstringSub-account password.
company_namestring(optional) Company name.
callbacksarrayTable containing callback URLs. { 'callback_url_for_inbounds': 'https://dns.com/url-1', 'callback_url_for_sms_deliveries': 'https://dns.com/url-2', 'callback_url_for_voice_sms_deliveries': 'https://dns.com/url-3', 'callback_url_for_blacklisted_numbers': 'https://dns.com/url-4', 'email_for_inbounds': '[email protected]'}

Callbacks URLs

NameDescription
callback_url_for_sms_deliveriesURL where you would like to receive AR SMS callbacks.
callback_url_for_blacklisted_numbersURL where you would like to receive unsubscribe requests (stops).
callback_url_for_voice_sms_deliveriesURL where you would like to receive callbacks from AR SMS Voice.
callback_url_for_inboundsURL where you would like to receive inbound SMS callbacks.
email_for_inboundsEmail address to which you would like incoming SMS messages to be forwarded.

How Our API Deals With Incorrect Data

The API we provide will try to interpret your request as best it can. If a parameter has the wrong value, we will try to understand it anyway. If the parameter has the wrong type, we will try to format it as best we can. Thus, we have determined default values, which are indicated in our documentation. If a parameter could not be recognized or "fixed", we will ignore it, but your request will be sent.
If one of your parameters does not have the right value, or does not have the right type, we will try to:

  • "cast" (convert) it so that it can be understood.
  • format it (delete prohibited characters for example)

Server Response Example in JSON

Success

{
  "email": "[email protected]",
  "api_key": "**********"
}
Body Params

Needed payload to create a subaccount.

string
required
length between 3 and 30
string
required
length between 3 and 30
string
required
length ≥ 6
string
length ≤ 100
callbacks
object
Headers
string
required

Your api login from your account

string
required

Your api key from your account

Responses

400

Bad request.

401

Unauthorized

403

Forbidden to view.

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json